com.comtrade.ecm.engine.objects

## Interface Accessible

- All Known Subinterfaces:
    Persistable

      public interface Accessible

  An object whose attributes' values can be accessed in a specific, general manner.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default java.lang.Object` | `get(java.lang.String attributeName)` Returns a value of an attribute named `attributeName`
    `default java.lang.String` | `get(java.lang.String attributeName, java.util.Locale locale)` Returns a formatted String value of an attribute named `attributeName`, using `Locale` `locale`. Default behaviour is : - if a `get(attributeName)` is `null`, return `null`. - if a `get(attributeName)` is `Localizable`, return `get(attributeName).toString(Locale locale)`. - otherwise, ignore `locale` parameter, simply return `get(attributeName).toString()` value.

- - ### Method Detail

    - #### get

          default java.lang.Object get(java.lang.String attributeName)
                                throws EcmException

      Returns a value of an attribute named `attributeName`
      Parameters:
        `attributeName` - The name of an attribute whose value should be returned
      Returns:
        A value of an attribute named `attributeName`
      Throws:
        `EcmException` - If something goes wrong

    - #### get

          default java.lang.String get(java.lang.String attributeName,
                                       java.util.Locale locale)
                                throws EcmException

      Returns a formatted String value of an attribute named `attributeName`, using `Locale` `locale`.
      Default behaviour is : - if a `get(attributeName)` is `null`, return `null`.
      - if a `get(attributeName)` is `Localizable`, return `get(attributeName).toString(Locale locale)`.
      - otherwise, ignore `locale` parameter, simply return `get(attributeName).toString()` value.
      Parameters:
        `attributeName` - The name of an attribute whose value should be returned
        `locale` - Locale that (can) influence the format of a returned String
      Returns:
        Formatted string value of an attribute named `attributeName`, using `Locale` `locale`.
      Throws:
        `EcmException` - If something goes wrong